BCM43142 bluetooth adapter not finding any bluetooth devices

Bug #1264311 reported by Leonid Kostrykin
140
This bug affects 29 people
Affects Status Importance Assigned to Milestone
bluez (Ubuntu)
Undecided
Unassigned

Bug Description

On my officially Ubuntu-certified Lenovo B590 laptop the BCM43142 bluetooth adapter is not working. I have two further bluetooth devices placed closely to the laptop, non-paired and each being able to discover the other respectively. None of them is able to discover the laptop, nor does 'hcitool scan' on the laptop find any devices. It does not give any errors though.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: bluez 4.101-0ubuntu8b1
ProcVersionSignature: Ubuntu 3.11.0-14.21-generic 3.11.7
Uname: Linux 3.11.0-14-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.12.5-0ubuntu2.2
Architecture: amd64
Date: Thu Dec 26 15:34:08 2013
InstallationDate: Installed on 2013-12-25 (0 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
InterestingModules: bnep rfcomm btusb bluetooth
MachineType: LENOVO 37613EG
MarkForUpload: True
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.11.0-14-generic root=UUID=c379c17a-9869-47a8-b9b3-83be4e302040 ro acpi_backlight=vendor quiet splash vt.handoff=7
SourcePackage: bluez
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/26/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: H9ET74WW(1.11)
dmi.board.asset.tag: Not Available
dmi.board.name: 37613EG
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrH9ET74WW(1.11):bd06/26/2013:svnLENOVO:pn37613EG:pvrLenovoB590:rvnLENOVO:rn37613EG:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 37613EG
dmi.product.version: Lenovo B590
dmi.sys.vendor: LENOVO
hciconfig:
 hci0: Type: BR/EDR Bus: USB
  BD Address: 1C:3E:84:E8:81:98 ACL MTU: 1021:8 SCO MTU: 64:1
  UP RUNNING PSCAN ISCAN
  RX bytes:1244 acl:0 sco:0 events:81 errors:0
  TX bytes:2820 acl:0 sco:0 commands:77 errors:0

Revision history for this message
Leonid Kostrykin (void-evoid) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu):
status: New → Confirmed
Revision history for this message
Leonardo Torok (leotorok) wrote :

I can confirm that the issue occurs in my notebook (Sony Vaio SVF14A17PBS). The wireless/bluetooth adapter is the same:

07:00.0 Network controller: Broadcom Corporation BCM43142 802.11b/g/n (rev 01)

As he said, it is not possible to find bluetooth devices that are visible to pairing. I tryed with smartphones (Android, BlackBerry) and bluetooth headsets without success. All these devices can see, connect and pair to each other. I was able to connect my bluetooth headphone once to this computer and use it normally, but after disconnecting the system wasn't able to reconnect and, after removing the pairing to retry the process, I couldn't make Ubuntu see the device.

I'm not attaching all the data like Void, because I tryed the same commands and got the same results. If these data is necessary, I can attach it here to.

Revision history for this message
Edwin van de Ven (edwinvandeven) wrote :

Same for me with Sony Vaio SVF14A15SNB. Same wireless/bluetooth adapter.

Revision history for this message
Rafael Jesus Alcantara Perez (rafa-dedaloingenieros) wrote :

I've tried in a Dell Inspiron 3537 with Ubuntu 13.10 and even with Ubuntu 14.04 Beta 2 without any luck.
I've installed package bt-bcm43142-onereic_0.0+20111116somerville2_amd64.deb and the first time the mouse is added and it runs fine. But, after reboot, the mouse is not seen, and I cann't even re-connect manually.

Revision history for this message
Don Dennis (metastableb) wrote :

Same for me. Sony vaio SVF1521KSNB with ubuntu 13.10 as well as 14.04.
ANy fix is appreciated .

Revision history for this message
Frantisek Csajka (csferi27) wrote :

Same here. Lenovo M5400 with ubuntu 14.04

Revision history for this message
wu zhirong (wanyue103) wrote :

sorry the name is "fw-105b_e065.hcd" for me

Revision history for this message
wu zhirong (wanyue103) wrote :

My book is Lenovo M5400 with ubuntu 14.04.

 I'm install bt-bcm43142-onereic_0.0+20111116somerville2_amd64.deb and then change the /lib/firmware/BCM43142A0_001.001.011.0028.0036.hcd to be named /lib/firmware/fw-105b_e065.hcd, restart btusb module, will show log:
[ 9.866680] Bluetooth: firmware loaded

the bluetooth is working now.

Revision history for this message
Michael (mickma) wrote :

Hello everybody,

got a Lenovo b590 and face the same issue. Has anybody got a workaround?

Tried to install bt-bcm43142-onereic_0.0+20111116somerville2_amd64.deb and then renaming as suggested by wu zhirong (wanyue103). After that I couldn't even switch on bluetooth. Any help on this would be great.

Revision history for this message
Claus Allweil (clal) wrote :

OK, I get it work now. The 14.04 kernel is missing the firmware for the bluetooth hardware.

I have downloaded the firmware, renamed and copied it appropriately and now bluetooth is working:

wget http://wielki.tk/vostro/debs/bt-bcm43142-onereic_0.0+20111116somerville2_amd64.deb

dpkg-deb -x bt-bcm43142-onereic_0.0+20111116somerville2_amd64.deb bt-bcm43142

sudo cp bt-bcm43142/lib/firmware/BCM43142A0_001.001.011.0028.0036.hcd /lib/firmware/fw-105b_e065.hcd

sudo rmmod btusb

sudo modprobe btusb

Revision history for this message
Michael (mickma) wrote :

Okay, I got it to work, too now. Nevertheless, my bluetooth does not get initialized every time after a fresh reboot.
Trying sudo modprobe btusb then gives:
"Can't init device hci0: Connection timed out (110)".

Running a Lenovo B590 on Ubuntu 13.10.

Revision history for this message
Michael (mickma) wrote :

I no longer face this issue. Did a clean install of Ubuntu 14.04. Did just what Claus Allweil said in his post. It works great now. Still think that this should work out of the box, though.

Revision history for this message
Tiago Silveira (dukejeffrie) wrote :

Installing the package Claus Allweil posted plus copying the hcd file to fw-105b_e065.hcd worked for me too. I tried to find a canonical package for that and failed.

I think something was missing from https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1161261. From https://bugzilla.kernel.org/show_bug.cgi?id=73411 it seems that the issue is distributing firmware without a license, which makes complete sense.

Revision history for this message
rolmops (dr150259) wrote :

Did all the recommendations. The system does not see bluetooth. Ubuntu 12.04.....14.10. Notebook Acer Extensa 2510G-54TK

Revision history for this message
jxj (antiplaca) wrote :

HP ENVY — 17-k153nr ; couldn't load firmware, even following Claus Allweil's instructions.

[ 15.836024] Bluetooth: Core ver 2.17
[ 15.836037] Bluetooth: HCI device and connection manager initialized
[ 15.836045] Bluetooth: HCI socket layer initialized
[ 15.836047] Bluetooth: L2CAP socket layer initialized
[ 15.836050] Bluetooth: SCO socket layer initialized
[ 15.880875] Bluetooth: can't load firmware, may not work correctly
[ 17.887200] Bluetooth: hci0 command 0x1003 tx timeout
[ 18.192467] Bluetooth: RFCOMM TTY layer initialized
[ 18.192476] Bluetooth: RFCOMM socket layer initialized
[ 18.192479] Bluetooth: RFCOMM ver 1.11
[ 18.285027] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 18.285029] Bluetooth: BNEP filters: protocol multicast
[ 18.285036] Bluetooth: BNEP socket layer initialized
[ 652.308603] Bluetooth: hci0 urb ffff880436087cc0 failed to resubmit (2)
[ 673.309756] Bluetooth: can't load firmware, may not work correctly
[ 675.316343] Bluetooth: hci0 command 0x1003 tx timeout

Revision history for this message
Egan Herman (0-egan) wrote :

HP Pavilion 17 : Tried Claus Allweil's instructions : Could'n load firmware.

[ 12.922510] Bluetooth: Core ver 2.17
[ 12.922523] Bluetooth: HCI device and connection manager initialized
[ 12.922530] Bluetooth: HCI socket layer initialized
[ 12.922532] Bluetooth: L2CAP socket layer initialized
[ 12.922535] Bluetooth: SCO socket layer initialized
[ 13.081851] Bluetooth: can't load firmware, may not work correctly
[ 18.647400] Bluetooth: RFCOMM TTY layer initialized
[ 18.647412] Bluetooth: RFCOMM socket layer initialized
[ 18.647418] Bluetooth: RFCOMM ver 1.11
[ 18.925519] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 18.925522] Bluetooth: BNEP filters: protocol multicast
[ 18.925529] Bluetooth: BNEP socket layer initialized

Revision history for this message
Pilot6 (hanipouspilot) wrote :

Please try this build
https://www.dropbox.com/sh/zpyq7vnlolwxhy5/AABW8LMRRHJ571TJLJp2Hd-ga?dl=0

Firmware must be placed in /lib/firmware/brcm

in hcd format as

BCM43142A0_001.001.011.0122.0139.hcd

Revision history for this message
Michael (mickma) wrote :

I got a Broadcom BCM43142 adapter in my Lenovo notebook and currently I am at a loss getting bluetooth to work with kernels later than 3.13.0-44-generic builds.
The ID of the bluetooth component is 105b:e065 and with a 3.13.0-44 kernel putting the file fw-105b_e065.hcd into /lib/firmware/ does the trick. However, any later kernels I have tried so far up to 4.2.0-19-generic fail to load the bluetooth driver.
Morever, I have tried to rename the firmware file to BCM43142A0-105b-e065.hcd and putting it into /lib/firmware/brcm in vain. I just can't get it to work.

What specifically is wrong with those later kernels making them fail to load? What can I do to fix it? And will it ever be fixed?

Maybe Pilot6 can enlighten me about the root of the problem, as he seems to have figured something out.

Revision history for this message
Pilot6 (hanipouspilot) wrote :

Michael,

See this answer. I fixed it for 4.2 kernels as a dkms module.

http://askubuntu.com/a/707486/167850

Revision history for this message
Pilot6 (hanipouspilot) wrote :

Do not forget to rename firmware to BCM.hcd

Revision history for this message
Michael (mickma) wrote :

Your module worked. Thanks for having done that, mate! Great contribution. Hopefully it'll find it's way into the kernel, soon.

Revision history for this message
Michael (mickma) wrote :

I should add, that I needed

fw-105b_e065.hcd in /lib/firmware/
and BCM.hcd in /lib/firmware/brcm/

in order for it to work. In case either of those copies was not present, bluetooth would not work.

Revision history for this message
Pilot6 (hanipouspilot) wrote :

The first is not needed.

Revision history for this message
Michael (mickma) wrote :

Did some more testing and Pilot6 is right. BCM.hcd in /lib/firwmware/brcm was all that was needed.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Leonid,

Thank you for reporting this bug to Ubuntu. Ubuntu 13.10 (saucy) reached end-of-life on July 17, 2014.

See this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

Please upgrade to the latest version and re-test.

Changed in bluez (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Closed due to no response.

Changed in bluez (Ubuntu):
status: Incomplete → Invalid
Revision history for this message
Aravind Swami Potluri (cipherswami135) wrote :

My Problem was just a naming issue :-

$ dmesg | grep -i 'bluetooth'

if you are facing some naming problem,the output of above command should be somthing like this ->

Bluetooth hci0: Direct firmware load for brcm/BCM43142A0-0489-e062.hcd failed with error -2
Bluetooth: hci0: BCM: Patch brcm/BCM43142A0-0489-e062.hcd not found

The Problem here is in this folder : /lib/firmware/brcm

$ ls /lib/firmware/brcm/*.hcd

The above command gives output of some *.hcd file (in my case BCM.hcd).
But my kernal is looking for BCM43142A0-0489-e062.hcd.
All you need to do is make a copy and rename.

$ cp /lib/firmware/brcm/BCM.hcd /lib/firmware/brcm/BCM43142A0-0489-e062.hcd (in my case)

Restart the PC and will see the frimware is loaded.

BAM!!
Now you can see bluetooh is working.
Done.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.